Remove a vet's license and signature
Needs admin on Animals.
DELETE
https://{organization}.rescueconsole.com
/
api
/
animals
/
veterinarian-credentials
/
{personId}
Remove a vet's license and signature
curl --request DELETE \
--url https://{organization}.rescueconsole.com/api/animals/veterinarian-credentials/{personId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/veterinarian-credentials/{personId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/veterinarian-credentials/{personId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"results": [
{
"person_id": "<string>",
"name": "<string>",
"license_number": "<string>",
"signature_image": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Remove a vet's license and signature
curl --request DELETE \
--url https://{organization}.rescueconsole.com/api/animals/veterinarian-credentials/{personId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/veterinarian-credentials/{personId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/veterinarian-credentials/{personId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"results": [
{
"person_id": "<string>",
"name": "<string>",
"license_number": "<string>",
"signature_image": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
